<?php
use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for AddMtpReq StructType
 * @subpackage Structs
 */
class AddMtpReq extends APIRequest
{
    /**
     * The mtp
     * @var XMtp
     */
    public $mtp;
    /**
     * Constructor method for AddMtpReq
     * @uses AddMtpReq::setMtp()
     * @param XMtp $mtp
     */
    public function __construct(XMtp $mtp = null)
    {
        $this
            ->setMtp($mtp);
    }
    /**
     * Get mtp value
     * @return XMtp|null
     */
    public function getMtp()
    {
        return $this->mtp;
    }
    /**
     * Set mtp value
     * @param XMtp $mtp
     * @return AddMtpReq
     */
    public function setMtp(XMtp $mtp = null)
    {
        $this->mtp = $mtp;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return AddMtpReq
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
